import request from '@/utils/request'

// 查询购买会员订单列表
export function listUserVipOrder(query) {
  return request({
    url: '/course/userVipOrder/list',
    method: 'get',
    params: query
  })
}

// 查询购买会员订单详细
export function getUserVipOrder(orderId) {
  return request({
    url: '/course/userVipOrder/' + orderId,
    method: 'get'
  })
}

// 新增购买会员订单
export function addUserVipOrder(data) {
  return request({
    url: '/course/userVipOrder',
    method: 'post',
    data: data
  })
}

// 修改购买会员订单
export function updateUserVipOrder(data) {
  return request({
    url: '/course/userVipOrder',
    method: 'put',
    data: data
  })
}

// 删除购买会员订单
export function delUserVipOrder(orderId) {
  return request({
    url: '/course/userVipOrder/' + orderId,
    method: 'delete'
  })
}

// 导出购买会员订单
export function exportUserVipOrder(query) {
  return request({
    url: '/course/userVipOrder/export',
    method: 'get',
    params: query
  })
}